import cx from "../../../../utils/css/cx.js";
import PartyTags from "../../PartyTags/index.js";
import classes from './styles.module.scss';
const cls = cx.merge(classes);
export default function Dot({
  parties,
  isPastMonth,
  convention
}) {
  if (!parties) {
    return <div className={cls('blank-dot')} />;
  }
  return <div className={cls('party-dot', {
    convention
  })}>
      <PartyTags parties={parties} dark={isPastMonth} />
    </div>;
}